Module
Inhalte
Index 🔎︎

# Funktion IsUnoStruct

Gibt True zurück, wenn es sich bei dem angegebenen Objekt um eine Uno-Struct handelt.

## Syntax:

    IsUnoStruct( Uno type name )

## Rückgabewert:

Bool

## Parameter:

Uno type: Ein Uno-Ubjekt

## Beispiel:

    Sub Main

    Dim bIsStruct

    ' Eine Instanz eines Dienstes erstellen

    Dim oSimpleFileAccess

    oSimpleFileAccess = CreateUnoService( "com.sun.star.ucb.SimpleFileAccess" )

    bIsStruct = IsUnoStruct( oSimpleFileAccess )

    MsgBox bIsStruct ' Zeigt False an, da oSimpleFileAccess KEINE Struct ist

    ' Eine Instanz einer Property-Struct erstellen

    Dim aProperty As New com.sun.star.beans.Property

    bIsStruct = IsUnoStruct( aProperty )

    MsgBox bIsStruct ' Zeigt True an, da aProperty eine Struct ist

    bIsStruct = IsUnoStruct( 42 )

    MsgBox bIsStruct ' Zeigt False an, da 42 KEINE Struct ist

    End Sub